import{s as pe,n as me,o as fe}from"../chunks/scheduler.b108d059.js";import{S as he,i as ue,g as d,s as l,r as _,A as ve,h as n,f as s,c as a,j as ee,u as W,x as g,k as x,y as Te,a as o,v as Z,d as k,t as I,w as j}from"../chunks/index.008de539.js";import{C as te}from"../chunks/CodeBlock.3968c746.js";import{H as ie}from"../chunks/Heading.88bfeb84.js";function we(se){let r,P,C,E,c,H,i,B,p,oe="Module used to configure Transformers.js.",L,m,le="<strong>Example:</strong> Disable remote models.",U,f,N,h,ae="<strong>Example:</strong> Set local model path.",R,u,S,v,de="<strong>Example:</strong> Set cache directory.",D,T,F,G,A,w,z,J,Y,b,ne="Global variable used to control execution. This provides users a simple way to configure Transformers.js.",q,y,re='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',Q,$,ce=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>backends</td><td><code>Object</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>__dirname</td><td><code>string</code></td><td><p>Directory name of module. Useful for resolving local paths.</p></td> </tr><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>true</code>.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,O,K,V,M,X;return i=new ie({props:{title:"env",local:"env",headingTag:"h1"}}),f=new te({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmFsbG93UmVtb3RlTW9kZWxzJTIwJTNEJTIwZmFsc2UlM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`,wrap:!1}}),u=new te({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmxvY2FsTW9kZWxQYXRoJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmxvY2FsJTJGbW9kZWxzJTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`,wrap:!1}}),T=new te({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmNhY2hlRGlyJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmNhY2hlJTJGZGlyZWN0b3J5JTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`,wrap:!1}}),J=new ie({props:{title:"env.env",local:"envenv",headingTag:"h2"}}),{c(){r=d("meta"),P=l(),C=d("p"),E=l(),c=d("a"),H=l(),_(i.$$.fragment),B=l(),p=d("p"),p.textContent=oe,L=l(),m=d("p"),m.innerHTML=le,U=l(),_(f.$$.fragment),N=l(),h=d("p"),h.innerHTML=ae,R=l(),_(u.$$.fragment),S=l(),v=d("p"),v.innerHTML=de,D=l(),_(T.$$.fragment),F=l(),G=d("hr"),A=l(),w=d("a"),z=l(),_(J.$$.fragment),Y=l(),b=d("p"),b.textContent=ne,q=l(),y=d("p"),y.innerHTML=re,Q=l(),$=d("table"),$.innerHTML=ce,O=l(),K=d("hr"),V=l(),M=d("p"),this.h()},l(e){const t=ve("svelte-u9bgzb",document.head);r=n(t,"META",{name:!0,content:!0}),t.forEach(s),P=a(e),C=n(e,"P",{}),ee(C).forEach(s),E=a(e),c=n(e,"A",{id:!0,class:!0}),ee(c).forEach(s),H=a(e),W(i.$$.fragment,e),B=a(e),p=n(e,"P",{"data-svelte-h":!0}),g(p)!=="svelte-14jubvb"&&(p.textContent=oe),L=a(e),m=n(e,"P",{"data-svelte-h":!0}),g(m)!=="svelte-ooim1v"&&(m.innerHTML=le),U=a(e),W(f.$$.fragment,e),N=a(e),h=n(e,"P",{"data-svelte-h":!0}),g(h)!=="svelte-1rbhmcc"&&(h.innerHTML=ae),R=a(e),W(u.$$.fragment,e),S=a(e),v=n(e,"P",{"data-svelte-h":!0}),g(v)!=="svelte-13xd89q"&&(v.innerHTML=de),D=a(e),W(T.$$.fragment,e),F=a(e),G=n(e,"HR",{}),A=a(e),w=n(e,"A",{id:!0,class:!0}),ee(w).forEach(s),z=a(e),W(J.$$.fragment,e),Y=a(e),b=n(e,"P",{"data-svelte-h":!0}),g(b)!=="svelte-k2hmcm"&&(b.textContent=ne),q=a(e),y=n(e,"P",{"data-svelte-h":!0}),g(y)!=="svelte-aq97h0"&&(y.innerHTML=re),Q=a(e),$=n(e,"TABLE",{"data-svelte-h":!0}),g($)!=="svelte-1wui4x7"&&($.innerHTML=ce),O=a(e),K=n(e,"HR",{}),V=a(e),M=n(e,"P",{}),ee(M).forEach(s),this.h()},h(){x(r,"name","hf:doc:metadata"),x(r,"content",Je),x(c,"id","module_env"),x(c,"class","group"),x(w,"id","module_env.env"),x(w,"class","group")},m(e,t){Te(document.head,r),o(e,P,t),o(e,C,t),o(e,E,t),o(e,c,t),o(e,H,t),Z(i,e,t),o(e,B,t),o(e,p,t),o(e,L,t),o(e,m,t),o(e,U,t),Z(f,e,t),o(e,N,t),o(e,h,t),o(e,R,t),Z(u,e,t),o(e,S,t),o(e,v,t),o(e,D,t),Z(T,e,t),o(e,F,t),o(e,G,t),o(e,A,t),o(e,w,t),o(e,z,t),Z(J,e,t),o(e,Y,t),o(e,b,t),o(e,q,t),o(e,y,t),o(e,Q,t),o(e,$,t),o(e,O,t),o(e,K,t),o(e,V,t),o(e,M,t),X=!0},p:me,i(e){X||(k(i.$$.fragment,e),k(f.$$.fragment,e),k(u.$$.fragment,e),k(T.$$.fragment,e),k(J.$$.fragment,e),X=!0)},o(e){I(i.$$.fragment,e),I(f.$$.fragment,e),I(u.$$.fragment,e),I(T.$$.fragment,e),I(J.$$.fragment,e),X=!1},d(e){e&&(s(P),s(C),s(E),s(c),s(H),s(B),s(p),s(L),s(m),s(U),s(N),s(h),s(R),s(S),s(v),s(D),s(F),s(G),s(A),s(w),s(z),s(Y),s(b),s(q),s(y),s(Q),s($),s(O),s(K),s(V),s(M)),s(r),j(i,e),j(f,e),j(u,e),j(T,e),j(J,e)}}}const Je='{"title":"env","local":"env","sections":[{"title":"env.env","local":"envenv","sections":[],"depth":2}],"depth":1}';function be(se){return fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ce extends he{constructor(r){super(),ue(this,r,be,we,pe,{})}}export{Ce as component};
